Name:           dwm
Version:        6.0
Release:        %mkrel 3
Summary:        A minimalist window manager for the X Window System
License:        MIT
Group:          Graphical desktop/Other
URL:            http://dwm.suckless.org
Source0:        http://dl.suckless.org/dwm/%{name}-%{version}.tar.gz
Source1:        %{name}.png

BuildRequires:  X11-devel

Requires:       xterm
Suggests:       dmenu

%description
dwm is a dynamic window manager for X.

It manages windows in tiled and floating layouts. Either layout can be applied
dynamically, optimizing the environment for the application in use and the task
performed. It is the little brother of wmii.


%prep
%setup -q

%build
%make

%install
%makeinstall_std DESTDIR=%{buildroot} PREFIX=%{_exec_prefix}

# start file
cat > %{buildroot}%{_bindir}/start%{name} << EOF
exec %{_bindir}/%{name}
EOF

chmod 755 %{buildroot}%{_bindir}/start%{name}

# session file
install -d %{buildroot}%{_sysconfdir}/X11/wmsession.d
cat > %{buildroot}%{_sysconfdir}/X11/wmsession.d/40%{name} << EOF
NAME=%{name}
EXEC=%{_bindir}/start%{name}
DESC=%{name} window manager
SCRIPT:
exec %{_bindir}/start%{name}
EOF

# an icon
install -D -m 0644 %{_sourcedir}/%{name}.png %{buildroot}/%{_datadir}/icons/%{name}.png

%files
%doc LICENSE README
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/40%{name}
%{_bindir}/%{name}
%{_bindir}/start%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/icons/%{name}.png


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 6.0-3.mga3
+ Revision: 349199
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 kamil <kamil> 6.0-2.mga3
+ Revision: 324407
- rebuild for Mga3 Beta1

* Mon Jan 09 2012 kamil <kamil> 6.0-1.mga2
+ Revision: 194254
- new version

* Mon Jan 09 2012 kamil <kamil> 5.9-1.mga2
+ Revision: 194184
- remove %%make_session empty macro from %%post and %%postun
- package adapted for Mageia
- drop dependency on dwm-tools, leave just dmenu as a stand-alone package
- imported package dwm

